import GameLogic
import socket, OSC

# Get controller and owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# Init
ip_send = '127.0.0.1'
host_send = 9001

client = OSC.OSCClient()
msg = OSC.OSCMessage()

if owner['rumble']:
	rumble = 1
else:
	rumble = 0

msg.setAddress("/rumble")
msg.append(rumble)
print(msg)

client.sendto(msg, (ip_send, host_send))
